Bug 120770 - rndc-confgen causes syntax error in rndc.key
Summary: rndc-confgen causes syntax error in rndc.key
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: bind   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-13 20:06 UTC by M Jang
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-30 22:12:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description M Jang 2004-04-13 20:06:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows NT 5.1; U) Opera 7.23  [en]

Description of problem:
The rndc-confgen -a -b 512 command is designed to generate a 
different encryption key for a DNS server. It also adds an 
inconsistent variable to /etc/rndc.key.

The variable is rndc-key; it's supposed to be consistent with rndckey 
as defined in /etc/named.conf. When restarting named, this leads to 
the following error message:

Stopping named: rndc: no key definition for name rndckey



Version-Release number of selected component (if applicable):
bind-9.2.2-21

How reproducible:
Always

Steps to Reproduce:
1. rndc-confgen -a -b 512
2. service named restart
3.
    

Additional info:

Comment 1 Daniel Walsh 2004-04-15 15:42:50 UTC
Fixed in bind-9.2.3-13


Note You need to log in before you can comment on or make changes to this bug.